<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetPhoneOptionsReq StructType
 * @subpackage Structs
 */
class GetPhoneOptionsReq extends AbstractStructBase
{
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - choice: uuid
     * - choiceMaxOccurs: 1
     * - choiceMinOccurs: 1
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * The returnedChoices
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\OXPhone
     */
    public $returnedChoices;
    /**
     * The sequence
     * Meta information extracted from the WSDL
     * - use: optional
     * @var int
     */
    public $sequence;
    /**
     * Constructor method for GetPhoneOptionsReq
     * @uses GetPhoneOptionsReq::setUuid()
     * @uses GetPhoneOptionsReq::setReturnedChoices()
     * @uses GetPhoneOptionsReq::setSequence()
     * @param string $uuid
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\OXPhone $returnedChoices
     * @param int $sequence
     */
    public function __construct($uuid = null, \\Losc\CucmBundle\Model\Webservice\StructType\OXPhone $returnedChoices = null, $sequence = null)
    {
        $this
            ->setUuid($uuid)
            ->setReturnedChoices($returnedChoices)
            ->setSequence($sequence);
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return isset($this->uuid) ? $this->uuid : null;
    }
    /**
     * Set uuid value
     * This property belongs to a choice that allows only one property to exist. It is
     * therefore removable from the request, consequently if the value assigned to this
     * property is null, the property is removed from this object
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\GetPhoneOptionsReq
     */
    public function setUuid($uuid = null)
    {
        if (is_null($uuid) || (is_array($uuid) && empty($uuid))) {
            unset($this->uuid);
        } else {
            $this->uuid = $uuid;
        }
        return $this;
    }
    /**
     * Get returnedChoices value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\OXPhone|null
     */
    public function getReturnedChoices()
    {
        return $this->returnedChoices;
    }
    /**
     * Set returnedChoices value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\OXPhone $returnedChoices
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\GetPhoneOptionsReq
     */
    public function setReturnedChoices(\\Losc\CucmBundle\Model\Webservice\StructType\OXPhone $returnedChoices = null)
    {
        $this->returnedChoices = $returnedChoices;
        return $this;
    }
    /**
     * Get sequence value
     * @return int|null
     */
    public function getSequence()
    {
        return $this->sequence;
    }
    /**
     * Set sequence value
     * @param int $sequence
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\GetPhoneOptionsReq
     */
    public function setSequence($sequence = null)
    {
        $this->sequence = $sequence;
        return $this;
    }
}
